MAKECHROOTPKG(1)

BEZEICHNUNG
makechrootpkg - Ein PKGBUILD in einer angegebenen Chroot-Umgebung bauen

ÜBERSICHT

makechrootpkg [OPTIONEN] -r <Chrootverz> [--] [makepkg_Arg]

BESCHREIBUNG

Führen Sie dieses Skript in einem Verzeichnis aus, das ein PKGBUILD enthält, um ein Paket innerhalb einer sauberen Chroot zu bauen. Argumente, die an dieses Skript nach der Markierung zum Ende der Optionen (--) übergeben werden, werden an makepkg(8) übergeben.

Das Chroot-Verzeichnis besteht aus den folgenden Verzeichnissen: <Chrootverz>/{root, copy}, aber nur »root« wird standardmäßig benötigt. Die Arbeitskopie wird nach Bedarf erstellt.

Das Chroot-Verzeichnis »root« muss mit dem folgenden Befehl erstellt werden: mkarchroot <chrootdir>/root base-devel

Das Skript liest {SRC,SRCPKG,PKG,LOG}DEST, NPROC, MAKEFLAGS und PACKAGER aus makepkg.conf(5), falls diese Variablen nicht Teil der Umgebung sind.

Standard-Argumente für makepkg(8) sind: --syncdeps, --noconfirm, --log, --holdver und --skipinteg.

OPTIONEN

-h
    Zeigt diesen Hinweis zur Verwendung.

-c
    Bereinigt die Chroot vor dem Bau.

-d <Verz>
    Bindet das Verzeichnis schreibbar in die Bau-Chroot ein.

-D <Verz>
    Bindet das Verzeichnis schreibgeschützt in die Bau-Chroot ein.

-t <Verz>[:Opt]
    Hängt ein tmpfs(5) unter Verz ein. Weitere Details finden Sie beim Argument systemd-nspawn(1) in systemd-nspawn(1).

-u
    Aktualisiert die Arbeitskopie der Chroot vor dem Bau. Dies ist für Neubauten nützlich, ohne die unberührte Chroot zu verschmutzen.

-r <Verz>
    Das zu verwendende Chroot-Verzeichnis.

-I <Paket>
    Installiert ein Paket in eine Arbeitskopie der Chroot.

-l <Kopie>
    Das als Arbeitskopie der Chroot zu verwendende Verzeichnis. Nützlich, wenn mehrere Kopien davon verwaltet werden sollen. Vorgabe: $USER

-n
    Führt namcap(1) auf dem gebauten Paket aus.

-C
    Führt checkpkg(1) auf dem gebauten Paket aus.

-T
    Baut in einem temporären Verzeichnis.

-U
    Führt makepkg(8) unter dem angegebenen Benutzer aus.

-x <Wann>
    Untersucht die Chroot nach dem Bau. Mögliche Modi sind never (Vorgabe), always und failure.

SIEHE AUCH

systemd-nspawn(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.